%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/stretchr/testify
Version:                1.8.4

%gometa

%global goaltipaths     gopkg.in/stretchr/testify.v1

%global common_description %{expand:
Golang set of packages that provide many tools for testifying
that your code will behave as you intend.

Features include:

 - Easy assertions
 - Mocking
 - Testing suite interfaces and functions}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Toolkit with common assertions and mocks

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires


%install
%gopkginstall

%if %{with check}
%check
%ifarch %{ix86} %{arm} s390x
for test in "TestFailfastSuiteFailFastOn" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%endif
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.8.4-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.4-1
- initial build
